建筑移除工具

From FreeCAD Documentation
The printable version is no longer supported and may have rendering errors. Please update your browser bookmarks and please use the default browser print function instead.
This page is a translated version of the page Arch Remove and the translation is 33% complete.
Outdated translations are marked like this.

建筑移除工具

菜单位置
Arch → Remove
所属工作台
Arch
默认快捷键
沒有
版本介紹
-
参阅
Arch Add/zh-cn

描述

移除工具允许您执行两种操作:

建筑添加工具与本工具功能相反。

从墙体中去掉一个立方体,于是便留下了一个洞。

如何使用

  1. 选中建筑对象中的某个子构件。
  2. Remove按钮。

或者

  1. 先选择待移除的(若干)对象,最后选择主建筑对象(也就是要从中去掉前面所选的对象)。
  2. Remove按钮。

脚本

参阅: Arch APIFreeCAD Scripting Basics

通过下列函数就可以在macrosPython控制台中使用移除工具:

removeComponents(objectsList, host=None)
  • 从父对象中去掉objectsList里的诸对象。
  • 如果指定了host对象,此函数将试图从host中去掉与objectsList里诸对象的交集。

示例:

import FreeCAD, Draft, Arch

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)

Box = FreeCAD.ActiveDocument.addObject("Part::Box", "Box")
Box.Length = 900
Box.Width = 450
Box.Height = 2000
FreeCAD.ActiveDocument.recompute()

Draft.rotate(Box, 45)
Draft.move(Box, FreeCAD.Vector(1000, 700, 0))

Arch.removeComponents(Box, Wall)
FreeCAD.ActiveDocument.recompute()